Jan Grulich

Plasma-nm 0.9.3.4 is out!

After 5 months we are releasing a new version of plasma-nm for KDE 4.x containing a lot of bugfixes, minor design improvements and internal changes (see my previous blog post). This is probably last major release since we are now focused to KF5/Plasma 5 version, but we will be still backporting all fixes and you can expect at least one more bugfix release in future.

You can get a tarball from usual location, compile it from git or waitĀ for an update in your distribution.

Also if you want to discuss things related to plasma-nm personally, suggest new ideas, complain about it, or just buy me or to anyone from our small plasma-nm team a beer you will have an opportunity, because
akademy

12 thoughts on “Plasma-nm 0.9.3.4 is out!

    1. Hmm, that’s weird. I updated it yesterday for Fedora and everything was compiled without an error. In what distribution you are trying to compile it? Do you have installed development libraries for Qt?

      1. i tried to build on pclinuxos.
        The build process continued after i included QTextStream header so the problem was a missing header.

  1. I am using nm with the plasma 5 supplied by opensuse. Initially it worked well, but now it makes the plasmashell crash systematically. Any idea what I can do about it? Should I compile your latest version (not that I dream about doing that)?

    1. The best thing you can do is to report a bug in KDE Bugzilla and attach a backtrace from your crash, otherwise there is no chance how I could find identify your problem.

      1. actually, finding the backtrace was easier than I thought. Shall I send that to you by direct mail – or post here?

  2. will do. Interestingly, I don’t seem to have libnm-qt in any repository. Does that already indicate something?

    1. You have it installed, because it’s a hard dependency for plasma-nm. It’s probably called networkmanager-qt or something like that, just check dependencies for plasma-nm.

  3. although it did tell me this:
    loading repository data…
    Reading installed packages…
    No provider of ‘debuginfo(build-id) = d3ca8665813dd850a9dc3d83639d23b9dd099cf2’ found.
    Resolving package dependencies…

    The following 9 NEW packages are going to be installed:
    libKF5Declarative5-debuginfo libKF5ModemManagerQt5-debuginfo libQt5Core5-debuginfo libQt5Gui5-debuginfo libQt5Widgets5-debuginfo
    libQtQuick5-debuginfo plasma5-workspace-debuginfo plasma-framework-private-debuginfo plasma-nm5-debuginfo

    9 new packages to install.

    so maybe that will do it

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Scroll To Top